* SPSS 16.0 for Windows, Release 16.0.1 .
* Diese Datei: Beisp_01.sps (25.02.2009) .
set length none.
set width 132.
set header no.

* CD '<Arbeitsverzeichnis>'.

* Beispiel 1: Designbasierte Schtzung des Gesamtwertes Zahl der Erwerbslosen .

* Quelle: 
  Schimpl-Neimanns, Bernhard: Schtzung des Stichprobenfehlers im 
  Mikrozensus mit Stata - Eine Einfhrung mit Beispielen zum Campus 
  File Mikrozensus 2002. GESIS-Methodenbericht 2009/02. Mannheim: GESIS
  URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
       gesis_reihen/gesis_methodenberichte/2009/gesis_mb_09_02.pdf
Diese Datei:
       http://www.gesis.org/dienstleistungen/tools-standards/mikrodaten-tools/
       sp-fehler/SPSS_Beispiele.zip .



get file = "mz02cf_Beisp.sav"
            /keep ef1 ef3 ef4 ef7 ef30 ef504 ef505 ef506 ef507 ef712 .
DATASET NAME DataSet1 WINDOW=FRONT.
missing values all().

* Designdefinition (A) .
* Schichtung: Bundesland, Gebudegrenklasse .
compute schicht = ef1*10 + ef712.
formats schicht (f3.0).
* Auswahlsatz: MZ 1%, CF 3,5% .
compute f = 0.01 * 0.035.
* Designgewicht.
compute w = 1/f .

* Interessierende Variable: ILO-Erwerbslos (ef504).
recode ef504 (2=1) (else=0) into y.
formats y (f1.0).

* Subpopulation: Bevlkerung am Hauptwohnsitz (ef505), 15+ Jahre (ef30).
if (ef505>=1 & ef505<=2 & ef30>=15) sub=1.
recode sub (sysmis=0).
formats sub (f1.0).

* ----------------------------------------------------------------------------.
* Definition Stichprobendesign (A).
* - Einstufige Klumpenauswahl: PSU = Auswahlbezirk (ef3).
* - Schichtung: schicht = Bundesland (ef1), Gebudeschicht (ef712).
* - Endlichkeitskorrektur mit Auswahlsatz f = 0.01 * 0.035.
* - Designgewicht: w (Inklusionswahrscheinlichkeiten MZ: 1% CF: 3,5%).
CSPLAN ANALYSIS
  /PLAN FILE='beispiel1_A.csaplan'
  /PLANVARS ANALYSISWEIGHT=w       
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel1_A.csaplan'
 /SUMMARY VARIABLES =y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV DEFFSQRT CIN (95).

* ----------------------------------------------------------------------------.
* REKODIERUNG PSEUDOSCHICHT IN SPSS NICHT NTIG: "For each stratum h containing
  a single element, the covariance contribution (...) is always set to zero." .
* ----------------------------------------------------------------------------.


* ----------------------------------------------------------------------------.
* (B) Einstufige Schtzung, Primreinheit=Wohnung, Auswahlsatz f = 0,00035 .
compute whg = ef3*10+ef7.
CSPLAN ANALYSIS
  /PLAN FILE='beispiel1_B.csaplan'
  /PLANVARS ANALYSISWEIGHT=w       
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=whg 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel1_B.csaplan'
 /SUMMARY VARIABLES =y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV DEFFSQRT CIN (95).

* ----------------------------------------------------------------------------.
* (C) Zweistufige Schtzung, .
*     1. Auswahlbezirk, Auswahlsatz f1 = 0,002376 .
*     2. Haushalt, Auswahlsatz      f2 = 0,00035 / f1 = 0,147 .
compute f1 = 0.01 * 10707/45058.
compute f2 = f / f1.
CSPLAN ANALYSIS
  /PLAN FILE='beispiel1_C.csaplan'
  /PLANVARS ANALYSISWEIGHT=w       
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f1
  /DESIGN STAGELABEL='Haushalt' CLUSTER=ef4 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f2.
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel1_C.csaplan'
 /SUMMARY VARIABLES =y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV DEFFSQRT CIN (95).





* ----------------------------------------------------------------------------.
* (D) Zweistufige Schtzung, .
*     1. Auswahlbezirk, Auswahlsatz fMZ = 0,01 .
*     2. Haushalt, Auswahlsatz fCF = 0,035 .
compute f_MZ = 0.01.
compute f_CF = 0.035.
CSPLAN ANALYSIS
  /PLAN FILE='beispiel1_D.csaplan'
  /PLANVARS ANALYSISWEIGHT=w       
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f_MZ
  /DESIGN STAGELABEL='Haushalt' CLUSTER=ef4 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f_CF.
CSDESCRIPTIVES
 /PLAN FILE = 'beispiel1_D.csaplan'
 /SUMMARY VARIABLES =y
 /SUBPOP TABLE = sub  DISPLAY=LAYERED
 /SUM
 /STATISTICS SE CV DEFFSQRT CIN (95).

* ----------------------------------------------------------------------------.
* Ergebnisse (siehe Tab. 3 im Gesis-Methodenbericht X/2009                    .
* Gesamtwert Zahl der Erwerbslosen jeweils t = 2.874.286                      .
* --- Schichtung: Bundesland (ef1) x Gebudegrenklasse (ef712) ---          .
* Version    Standardfehler      CV (%) DEFT (s. Beispiel 3a (Stata)          .
*    A          94763,38          3,3   1,067                                 .
*    B          94093,83          3,3                                         .
*    C          94684,76          3,3                                         .
*    D          94388,37          3,3                                         .
* ----------------------------------------------------------------------------.
* Designeffekt (DEFT; SPSS: Square Root Design Effect (s. Beispiel 3a (Stata)).
* Version A     1,067                                                         .                                 
* ----------------------------------------------------------------------------.
