* SPSS 16.0 for Windows, Release 16.0.1 .
* Diese Datei: E:\bsn\Workshop_06_2008\SPSS-Beispiele\beispiel7.sps (02.03.2009) .
set length none.
set width 132.
set header no.
set mxwarns=5.  

* CD '<Arbeitsverzeichnis>'.

* ========================================================================.
* Beispiel 7: Erwerbslosenquote mit Designgewichtung                      .
* ========================================================================.

* Quelle: 
  Schimpl-Neimanns, Bernhard: Schtzung des Stichprobenfehlers im 
  Mikrozensus mit Stata - Eine Einfhrung mit Beispielen zum Campus 
  File Mikrozensus 2002. GESIS-Methodenbericht 2009/02. Mannheim: GESIS
  URL: http://www.gesis.org/fileadmin/upload/forschung/publikationen/
       gesis_reihen/gesis_methodenberichte/2009/gesis_mb_09_02.pdf
Diese Datei:
       http://www.gesis.org/dienstleistungen/tools-standards/mikrodaten-tools/
       sp-fehler/SPSS_Beispiele.zip .

get file = "mz02cf_Beisp.sav"
            /keep ef1 ef3 ef4 ef30 ef32 ef52 ef127 ef504 ef505 ef708 ef712.
DATASET NAME DataSet1 WINDOW=FRONT.

missing values all().
compute id = $casenum.

* Variablenabgenzungen analog zu Beispiel 1.
compute schicht = ef1*10 + ef712.
* Auswahlsatz MZ 1%, CF 3,5% .
compute f = 0.01 * 0.035.
* Designgewicht.
compute w = 1/f .

* Region. 
recode ef1 (1 thru 11=1) (else=2) into westost.
do if (ef708=9).
compute westost = 2.
end if.
value label westost 1 "West inkl. West-Berlin" 2 "Ost inkl. Ost-Berlin".

* Altersgruppen.
recode ef30 (0 thru 14=0) (15 thru 24=1) (25 thru 54=2) (55 thru 65=3) 
            (66 thru 99=4) into alter.
value label alter 0 "<15 J." 1 "15-24 J." 2 "25-54 J." 3 "55-65 J." 4 "66+".

* Subpopulation: Bevlkerung am Hauptwohnsitz, 15-65 Jahre, Erwerbspersonen.
compute sub = (ef505>=1 & ef505<=2 & ef30>=15 & ef30<=65 & ef504>=1 & ef504<=2).

* Zhlermerkmal: ILO-Erwerbslose x Subpopulation.
compute y = (ef504=2) * sub.
variable label y "ILO-Erwerbslose".

* Nennermerkmal: Erwerbspersonen x Subpopulation.
compute x = (ef504>=1 & ef504<=2) * sub.
variable label x "Erwerbspersonen".

formats schicht (f2.0) / westost alter y x (f1.0).

* Stichprobendesign.
CSPLAN ANALYSIS
  /PLAN FILE='beispiel7.csaplan'
  /PLANVARS ANALYSISWEIGHT=w
  /PRINT PLAN
  /DESIGN STAGELABEL='PSU' STRATA=schicht CLUSTER=ef3 
  /ESTIMATOR TYPE=EQUAL_WOR
  /INCLPROB VARIABLE=f.

* Erwerbslosenquote nach Altersgruppen.
CSDESCRIPTIVES
  /PLAN FILE='beispiel7.csaplan'
  /RATIO NUMERATOR=y DENOMINATOR=x
  /STATISTICS SE CV DEFFSQRT CIN(95)
  /SUBPOP TABLE=alter DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.

* Erwerbslosenquote nach Region und Altersgruppen.
CSDESCRIPTIVES
  /PLAN FILE='beispiel7.csaplan'
  /RATIO NUMERATOR=y DENOMINATOR=x
  /STATISTICS SE CV DEFFSQRT CIN(95)
  /SUBPOP TABLE=westost by alter  DISPLAY=LAYERED
  /MISSING SCOPE=ANALYSIS CLASSMISSING=EXCLUDE.


